/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package lab15;


import java.util.Scanner;
import java.io.IOException;

public class Main{

  public static void main(String[] args){

    System.out.println("Enter the path to the file: ");
    Scanner scanner = new Scanner(System.in);
    String way = null;

    while(true){
      try{
        way = scanner.nextLine();
        if (way != null && way.length() != 0){
          Action.serialize(way);
          Action.deserialize(way);
        }
        else{
          System.out.println("No");
        }
      }
      catch (NumberFormatException e) {
        System.out.println("Wrong input format");
      }
    }
  }
}
